| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclibjava.GclibJava.Gclibo Interface Reference

The JNA interface to the open source, gclibo library. More...

Inheritance diagram for gclibjava.GclibJava.Gclibo:

## Public Member Functions
int | GAddresses (byte[] response, int len)
int | GArrayDownloadFile (Pointer g, String filePath)
int | GArrayUploadFile (Pointer g, String filePath, String names)
int | GAssign (String ip, String mac)
void | GError (int rc, byte[] response, int len)
int | GInfo (Pointer g, byte[] response, int len)
int | GIpRequests (byte[] response, int len)
int | GProgramDownloadFile (Pointer g, String filePath, String preprocessor)
int | GProgramUploadFile (Pointer g, String filePath)
void | GSleep (int timeout_ms)
int | GTimeout (Pointer g, short timeout_ms)
int | GVersion (byte[] response, int len)
int | GSetServer (String server_name)
int | GServerStatus (byte[] response, int len)
int | GListServers (byte[] response, int len)
int | GPublishServer (String server_name, int publish, int save)
int | GRemoteConnections (byte[] response, int len)

## Public Attributes
Gclibo | INSTANCE
Gclibo | SYNC_INSTANCE

## Detailed Description

The JNA interface to the open source, gclibo library.

http://galil.com/sw/pub/all/doc/gclib/html/gclibo_8h.html

Definition at line 358 of file GclibJava.java.

## Member Function Documentation

## ◆ GAddresses()

int gclibjava.GclibJava.Gclibo.GAddresses | ( | byte[] | response,
|  | int | len )

## ◆ GArrayDownloadFile()

int gclibjava.GclibJava.Gclibo.GArrayDownloadFile | ( | Pointer | g,
|  | String | filePath )

## ◆ GArrayUploadFile()

int gclibjava.GclibJava.Gclibo.GArrayUploadFile | ( | Pointer | g,
|  | String | filePath,
|  | String | names )

## ◆ GAssign()

int gclibjava.GclibJava.Gclibo.GAssign | ( | String | ip,
|  | String | mac )

## ◆ GError()

void gclibjava.GclibJava.Gclibo.GError | ( | int | rc,
|  | byte[] | response,
|  | int | len )

## ◆ GInfo()

int gclibjava.GclibJava.Gclibo.GInfo | ( | Pointer | g,
|  | byte[] | response,
|  | int | len )

## ◆ GIpRequests()

int gclibjava.GclibJava.Gclibo.GIpRequests | ( | byte[] | response,
|  | int | len )

## ◆ GProgramDownloadFile()

int gclibjava.GclibJava.Gclibo.GProgramDownloadFile | ( | Pointer | g,
|  | String | filePath,
|  | String | preprocessor )

## ◆ GProgramUploadFile()

int gclibjava.GclibJava.Gclibo.GProgramUploadFile | ( | Pointer | g,
|  | String | filePath )

## ◆ GSleep()

void gclibjava.GclibJava.Gclibo.GSleep | ( | int | timeout_ms | ) |

## ◆ GTimeout()

int gclibjava.GclibJava.Gclibo.GTimeout | ( | Pointer | g,
|  | short | timeout_ms )

## ◆ GVersion()

int gclibjava.GclibJava.Gclibo.GVersion | ( | byte[] | response,
|  | int | len )

## ◆ GSetServer()

int gclibjava.GclibJava.Gclibo.GSetServer | ( | String | server_name | ) |

## ◆ GServerStatus()

int gclibjava.GclibJava.Gclibo.GServerStatus | ( | byte[] | response,
|  | int | len )

## ◆ GListServers()

int gclibjava.GclibJava.Gclibo.GListServers | ( | byte[] | response,
|  | int | len )

## ◆ GPublishServer()

int gclibjava.GclibJava.Gclibo.GPublishServer | ( | String | server_name,
|  | int | publish,
|  | int | save )

## ◆ GRemoteConnections()

int gclibjava.GclibJava.Gclibo.GRemoteConnections | ( | byte[] | response,
|  | int | len )

## Member Data Documentation

## ◆ INSTANCE

Gclibo gclibjava.GclibJava.Gclibo.INSTANCE

Initial value:
= (Gclibo)
Native.loadLibrary("gclibo",
Gclibo.class)
gclibjava.GclibJava.Gclibo
The JNA interface to the open source, gclibo library.
Definition GclibJava.java:358

Definition at line 359 of file GclibJava.java.

## ◆ SYNC_INSTANCE

Gclibo gclibjava.GclibJava.Gclibo.SYNC_INSTANCE

Initial value:
= (Gclibo)
Native.synchronizedLibrary(INSTANCE)
gclibjava.GclibJava.Gclib.INSTANCE
Gclib INSTANCE
Definition GclibJava.java:74

Definition at line 367 of file GclibJava.java.

The documentation for this interface was generated from the following file:

- GclibJava.java